List actions

Returns all actions in your organization based on the filters you specify.

Filter options

Describes the filter options for List actions

Please note that the filters field has been deprecated and replaced with task_filters.

  • The AND operator will be used if multiple filters are applied using different filter objects. For example, applying a status filter and a priority filter will return actions that match both conditions.
  • The OR operator will be used if multiple filters are applied using the same filter object. For example, applying two or more status filters will return actions from each of the statuses.

Sorting options

Describes the sorting options for the list actions endpoint. By default, actions are sorted by creation date from the most recent to the least recent.

Body Params

The parameters for GetActionsRequest

The parameters for GetActionsRequest

int32

Optional. Number of actions to be returned in a single request. Maximum
100. Non-positive values are ignored. The presence of next_page_token in
the response indicates that more results might be available. For example: '20'.

string

Optional. If present, then retrieve the next batch of results from the preceding call to this method. page_token must be the value of
next_page_token from the previous response. The values of other method parameters should be identical to those in the previous call.
For example: 'ODFBMzQ3MDYtNzQxNy00RDZGLThDNjE1MEFDMkM4MTQ3NDQ='.

string

Optional. The ID of the inspection the action belongs to. Deprecated,
inspectionID in filters should be used instead.

int32

Optional. Offset from where on the actions will be listed.

string
enum

Optional. Which field to use for sorting.

Allowed:
string
enum

Optional. Direction for sorting.

Allowed:
boolean

Optional. If true, will not return the count of actions.

task_filters
array of objects

Optional. The array of filters to apply in your request. You can
apply multiple filters in a single request.

task_filters
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json